Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.servlets.jsp.taglib
Class ContentTagSupport

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.servlets.jsp.TagSupport
                  |
                  +--com.bea.p13n.servlets.jsp.taglib.ContentTagSupport

All Implemented Interfaces:
  IterationTag, Serializable, Tag

Direct Known Subclasses:
  ContentQueryTag, ContentSelectorTag

public class ContentTagSupport
extends TagSupport

Base Tag class for tags which deal with Content.

This provides access to the ContentCache.

See Also:
  Serialized Form

Field Summary
`protected String` | `cacheId` The cache id.
`protected String` | `cacheScope` The cache scope.
`protected long` | `cacheTimeout` The cache timeout.
`protected Map` | `contextParams` The context params.
`protected boolean` | `useCache` Should this try to use the cache.

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ContentTagSupport()`

Method Summary
`protected Node[]` | `checkContentCache()` Check the content cache for the requested Content.
`String` | `getCacheId()` Get cacheId which should be used.
`String` | `getCacheScope()` Get the `cacheScope`.
`String` | `getCacheTimeout()` Get the value of `cacheTimeout`.
`Map` | `getContextParams()` Get the context params.
`String` | `getUseCache()` Get the value of `useCache`.
`protected void` | `initRepositoryManager()`
`void` | `release()` Reset any variables.
`void` | `setCacheId(String s)` Set the value of `cacheId`.
`void` | `setCacheScope(String s)` Set the `cacheScope`.
`void` | `setCacheTimeout(long l)` Set the value of `cacheTimeout`.
`void` | `setCacheTimeout(String v)` Set the value of `cacheTimeout`.
`void` | `setContextParams(Map m)` Set the context params.
`void` | `setContextParams(String str)` Set the context params from semi-colon separate list of name=value pairs.
`void` | `setInContentCache(Node[] content)` Update the content cache with the specified content.
`void` | `setUseCache(boolean b)` Set the value of `useCache`.
`void` | `setUseCache(String s)` Set the value of `useCache`.

Methods inherited from class com.bea.p13n.servlets.jsp.TagSupport
`createAdviceRequest, createAdvisor`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### useCache

    protected boolean useCache

  Should this try to use the cache.

### cacheScope

    protected String cacheScope

  The cache scope.

### cacheId

    protected String cacheId

  The cache id.

### cacheTimeout

    protected long cacheTimeout

  The cache timeout.

### contextParams

    protected Map contextParams

  The context params.

Constructor Detail

### ContentTagSupport

    public ContentTagSupport()

Method Detail

### release

    public void release()

  Reset any variables.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `TagSupport`

### initRepositoryManager

    protected void initRepositoryManager()

### checkContentCache

    protected Node[] checkContentCache()

  Check the content cache for the requested Content.

  This will use the `useCache`, `cacheScope`, `cacheId`, and `cacheTimeout` settings.

  Returns:
    the Content[] if it lives in the cache or has timedout, null if not.

### setInContentCache

    public void setInContentCache(Node[] content)

  Update the content cache with the specified content.

### getUseCache

    public String getUseCache()

  Get the value of `useCache`.

### setUseCache

    public void setUseCache(String s)

  Set the value of `useCache`.

### setUseCache

    public void setUseCache(boolean b)

  Set the value of `useCache`.

### getCacheScope

    public String getCacheScope()

  Get the `cacheScope`.

### setCacheScope

    public void setCacheScope(String s)

  Set the `cacheScope`.

### getCacheId

    public String getCacheId()

  Get cacheId which should be used.

### setCacheId

    public void setCacheId(String s)

  Set the value of `cacheId`.

### getCacheTimeout

    public String getCacheTimeout()

  Get the value of `cacheTimeout`.

### setCacheTimeout

    public void setCacheTimeout(String v)

  Set the value of `cacheTimeout`.

### setCacheTimeout

    public void setCacheTimeout(long l)

  Set the value of `cacheTimeout`.

### getContextParams

    public Map getContextParams()

  Get the context params.

### setContextParams

    public void setContextParams(String str)

  Set the context params from semi-colon separate list of name=value pairs.

### setContextParams

    public void setContextParams(Map m)

  Set the context params.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved